Bug 44803 - Test case 01_base.27check_logfiles_univention.test fails in UCS 4.2 due to ec2.log
Test case 01_base.27check_logfiles_univention.test fails in UCS 4.2 due to ec...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 08:39 CEST by Stefan Gohmann
Modified: 2017-07-05 13:06 CEST (History)
0 users

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2017-06-16 08:39:36 CEST
Test case 01_base.27check_logfiles_univention.test fails in UCS 4.2:

[2017-06-15 23:57:58.105678] Some potentially sensitive log files are world-readable:
[2017-06-15 23:57:58.107306] -rw-r--r-- 1 root root 24693 Jun 15 23:52 /var/log/univention/ec2.log
Comment 1 Stefan Gohmann univentionstaff 2017-06-16 08:39:56 CEST
Please have a look
Comment 3 Stefan Gohmann univentionstaff 2017-06-28 07:51:39 CEST
r80539:
* 01_base/27check_logfiles_univention: Ignore ec2.log (Bug #44803)

Please revert the change if you change the file permission.
Comment 4 Florian Best univentionstaff 2017-06-29 20:15:04 CEST
ucs-test (7.0.22-12):
r80662 | Bug #44803: revert svn r80539

univention-management-console (9.0.80-50):
r80661 | Bug #44803: fix log permissions of /var/log/univention/ec2.log
Comment 5 Johannes Keiser univentionstaff 2017-07-04 16:47:44 CEST
OK log file has the right permissions
   Test passes

-> verified
Comment 6 Janek Walkenhorst univentionstaff 2017-07-05 13:06:39 CEST
<http://errata.software-univention.de/ucs/4.2/81.html>